<?php
/**
* 404 Page Settings.
*
* @package Medical Care Unit
*/

$medical_care_unit_default = medical_care_unit_get_default_theme_options();

$wp_customize->add_section( 'medical_care_unit_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'medical-care-unit' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'medical_care_unit_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'medical_care_unit_404_main_title',
    array(
        'default'           => $medical_care_unit_default['medical_care_unit_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'medical_care_unit_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'medical-care-unit' ),
        'section'  => 'medical_care_unit_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'medical_care_unit_404_subtitle_one',
    array(
        'default'           => $medical_care_unit_default['medical_care_unit_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'medical_care_unit_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'medical-care-unit' ),
        'section'  => 'medical_care_unit_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'medical_care_unit_404_para_one',
    array(
        'default'           => $medical_care_unit_default['medical_care_unit_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'medical_care_unit_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'medical-care-unit' ),
        'section'  => 'medical_care_unit_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'medical_care_unit_404_subtitle_two',
    array(
        'default'           => $medical_care_unit_default['medical_care_unit_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'medical_care_unit_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'medical-care-unit' ),
        'section'  => 'medical_care_unit_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'medical_care_unit_404_para_two',
    array(
        'default'           => $medical_care_unit_default['medical_care_unit_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'medical_care_unit_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'medical-care-unit' ),
        'section'  => 'medical_care_unit_404_page_settings',
        'type'     => 'text',
    )
);